<%-- Copyright (c) 2003-2005 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%-- This tile template is meant to include as little as is required to display the header, for example for an HTML5/ExtJS 
   page that wants to avoid all of the old clutter --%>

<%@page language="java"%>
<%@page contentType="text/html;charset=UTF-8"%>
<%@page errorPage="../pageError.jsp" %>

<%@page import="java.util.Locale"%>
<%@page import="com.sas.framework.webapp.util.WebKey"%>
<%@page import="com.sas.framework.webapp.helpers.FrameworkHelper"%>
<%@page import="com.sas.solutions.spm.webapp.common.util.SpmWebKey"%>
<%@page import="com.sas.solutions.spm.webapp.common.util.PortletHelper"%>
<%@page import="com.sas.servlet.util.BaseUtil" %>

<% String rtlMode = BaseUtil.isRTL(request) ? "rtl" : "ltr"; %>

<%
       // get the portletId so that can be passed to the content jsp
       String portletId = PortletHelper.getPortletId(request);
       String portalURL = PortletHelper.getPortalURL(request);
%>

<html dir="<%=rtlMode%>" xmlns="http://www.w3.org/1999/xhtml" lang="<%=FrameworkHelper.getUserLocale(request).getLanguage()%>" xml:lang="<%=FrameworkHelper.getUserLocale(request).getLanguage()%>">

   <head>

      <meta http-equiv="X-UA-Compatible" content="IE= EmulateIE7" />

      <%@taglib uri='http://struts.apache.org/tags-bean' prefix='bean' %>
      <%@taglib uri='http://struts.apache.org/tags-logic' prefix='logic' %>
      <%@taglib uri='http://struts.apache.org/tags-html' prefix='html' %>
      <%@taglib uri='http://struts.apache.org/tags-nested' prefix='nested' %>
      <%@taglib uri='http://struts.apache.org/tags-tiles' prefix='tiles' %>
      <%@taglib uri='http://java.sun.com/jstl/core_rt' prefix='core_rt' %>

      <%@taglib uri='http://www.sas.com/taglib/sas-ui' prefix='sas-ui' %>
      <%@taglib uri="http://www.sas.com/taglib/sas-uis" prefix="sas-uis"%>
      <%@taglib uri='http://www.sas.com/taglib/sas' prefix='sas' %>
      <%@taglib uri='http://www.sas.com/taglib/sas-util' prefix='sas-u' %>
      <%@taglib uri='http://www.sas.com/taglib/sas-form' prefix='sas-f'%>

      <%@taglib uri='http://www.sas.com/taglib/spm' prefix='spm' %>

     	<sas:InitializeComponents/>
     	<sas:StyleSheet/>
     	<title><sas-ui:ApplicationName/></title>
     	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
     	<sas-ui:MetaRefresh/>
      <sas-uis:Timeout/>
     	<script type="text/javascript" src="scripts/sas_Common.js"></script>
     	<script type="text/javascript" src="scripts/sas_menubar.js"></script>
     	<script type="text/javascript" src="scripts/popupMenus.js"></script>
     	<script type="text/javascript" src="scripts/sas_Bootstrap.js"></script>
     	<script type="text/javascript" src="scripts/sasFramework.js"></script>
     	<script type="text/javascript" src="scripts/checkAll.js"></script>
	   <sas-ui:ThemeStyles/>



   </head>

   <body marginheight="0" marginwidth="0">

      <sas-ui:Banner  preferencesAction="Preferences" styleClass="utilmenu" />

      <iframe src="<tiles:getAsString name='content' />?<%=SpmWebKey.FROMPORTLETPID%>=<%=portletId%>&<%=SpmWebKey.PORTALURL%>=<%=portalURL%>" height="760px" width="100%" frameborder="0"></iframe>

   </body>

</html>